@import url("theme.css");

body {
    background-color: var(--bg-main);
    font-family: 'Inter', 'Inter Variable', 'Helvetica Neue', Helvetica, Arial,;
    margin: 0;
    padding: 2rem;
    display: grid;
    grid-template-columns: minmax(200px, 1fr);
    grid-template-rows: minmax(45px, 55px) min-content 550px;
    column-gap: 5px;
    width: 65%;
    place-self: center;
}

/* =======
ANIMATIONS
======= */

@keyframes sweep {
    0% {
        background-position: 200% center;
    }
    100% {
        background-position: 0% center;
    }
}

/* ===========
NAVIGATION BAR
=========== */

.nav {
    grid-row-start: 1;
    padding: 0px 15px 0px 15px;
    background-color: var(--bg-surface);
    border: 1px solid var(--bg-main);
    border-radius: 8px;
    box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
    display: grid;
    grid-template-columns: minmax(100px, 1fr) minmax(100px, 0.5fr) minmax(100px, 0.5fr) minmax(100px, 1fr);
    grid-template-rows: minmax(45px, 55px);
    column-gap: 5px;
}

.nav-logo {
    grid-row-start: 1;
    display: grid;
    grid-template-columns: minmax(45px, 55px) minmax(100px, 150px);
    grid-template-rows: 1fr;
    align-items: center;
    justify-items: left;
    place-content: left;
    column-gap: 5px;
}

.nav-logo img {
    transform: scale(1);
    transition: transform 0.15s ease-in-out;
    height: 35px;
    justify-self: center;
    cursor: pointer;
}

.nav-logo img:hover {
    transform: scale(1.1);
}

.nav-logo h1,h2 {
    font-family: 'Inter';
    text-transform: uppercase;
    padding: 0px;
    margin: 0px;
    cursor: pointer;
}

.nav-logo h1 {
    font-size: 15px;
    font-weight: 700;
}

.nav-logo h2 {
    font-size: 13px;
    color: var(--text-muted);
}

.nav-buttons {
    grid-row-start: 1;
    grid-column-start: 4;
    display: grid;
    grid-template-columns: repeat(3, minmax(50px, 120px));
    grid-template-rows: 1fr;
    align-items: center;
    justify-items: center;
    place-content: center;
    column-gap: 5px;
}

.nav-buttons .btn-nav {
    font-family: 'Inter';
    font-weight: 500;
    text-decoration: none;
    color: var(--text-secondary);
    background-color: var(--bg-surface);
    border: 0px solid var(--secondary-glow);
    transition: all 0.15s ease-out;
    border-radius: 8px;
    padding: 8px;
    width: 112px;
    cursor: pointer;
}

.nav-buttons .btn-nav:hover {
    color: var(--text-secondary);
    background-color: var(--bg-main);
    border: 0px solid var(--secondary-glow);
    box-shadow: 2px 2px 5px var(--primary-glow);
}

.nav-buttons #active {
    color: var(--alt-secondary-color);
    background-color: var(--secondary-glow);
    border: 1px solid var(--secondary-glow);
}

/* =======
HERO TITLE
======= */

.hero {
    place-self: center;
    grid-row-start: 2;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr;
    padding: 15px;
    padding-top: 35px;
    min-width: 400px;
    max-width: 75%;
}

.hero-content {
    padding: 15px;
    font-family: 'Archivo Black', sans-serif;
    color: var(--text-primary);
    text-align: center;
    place-items: center;
    justify-items: center;
    text-shadow: 2px 2px 5px var(--alt-secondary-glow);
}

.hero-content h1 {
    font-size: 2.5rem;
}

.hero-content .title .highlight {
    background: linear-gradient(65deg, var(--accent-color) 0%, var(--alt-accent-color) 50%, var(--accent-color) 100%);
    background-size: 200% auto;
    color: var(--text-primary);
    -webkit-background-clip: text;
    background-clip: none;
    border-bottom: 1px solid transparent;
    transition: color 0.3s ease 0.1s, border 0.3s ease;
    animation: sweep 1s linear infinite;
}

.hero-content .title .highlight:hover {
    color: transparent;
    border-bottom: 1px solid var(--accent-color);
    cursor: pointer;
}

.hero-content .blurb {
    padding-left: 20px;
    padding-right: 20px;
    color: var(--text-muted);
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 18px;
    line-height: normal;
    width: 80%;
}

.hero-title {
    display: inline-block;
    cursor: default;
    border-bottom: 1px solid var(--border-high-contrast);
    background: linear-gradient(65deg, var(--secondary-color) 0%, var(--alt-secondary-color) 50%, var(--secondary-color) 100%);
    background-size: 200% auto;
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
    animation: sweep 5s linear infinite;
    transform: scale(1);
    transition: transform 0.8s ease 0.3s;
}

.hero-title:hover {
    transform: scale(1.01);
    cursor: pointer;
}

/* =============
PRICING PACKAGES
============= */

.packages {
    grid-row-start: 3;
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(3, minmax(200px, 1fr));
    grid-template-rows: 130px 400px;
    justify-items: center;
    place-items: center;
    column-gap: 25px;
    row-gap: 10px;
    font-family: 'Inter';
}

.packages .title {
    grid-column: span 3;
    grid-row-start: 1;
    color: var(--text-muted);
    place-items: center;
    justify-items: center;
}

.packages .title h1 {
    font-family: 'Archivo Black';
    font-weight: 200;
    color: var(--text-primary);
}

.packages .package {
    position: relative;
    grid-row-start: 2;
    display: grid;
    width: 80%;
    height: 80%;
    padding: 20px;
    margin: 10px;
    background-color: var(--bg-surface);
    border: 3px solid;
    border-color: var(--border-low-contrast);
    border-radius: 15px;
    transform: translate(0px, 0px);
    box-shadow: 2px 2px 5px var(--primary-glow);
    transition: transform 0.5s ease-in-out, box-shadow 0.5s ease-in-out 0.1s;
}

.packages .package:hover {
    transform: translate(-8px, -8px);
    box-shadow: 10px 10px 35px var(--text-secondary);
}

.packages #web-portal {
    border-color: var(--border-high-contrast);
}

.packages #enterprise {
    border-color: var(--accent-color);
    border-width: 2px;
}

.packages .package .badge {
    position: absolute;
    top: -1px;
    right: -1px;
    background-color: var(--border-low-contrast);
    color: var(--text-primary);
    padding: 4px 8px;
    border-radius: 0px 8px 0px 8px;
    font-weight: 600;
    font-size: 12px;
}

.packages #web-portal .badge {
    background-color: var(--border-high-contrast);
}

.packages #enterprise .badge {
    background-color: var(--border-accent);
    color: var(--accent-color);
}

.packages .package .header {
    place-self: center;
    justify-items: center;
}

.packages .package .header h1 {
    font-size: 22px;
    padding: 0px;
}

.packages .package .header p {
    font-size: 14px;
    text-align: center;
    padding: 0px;
    color: var(--text-muted);
}

.packages .package .price {
    display: flex;
    align-items: baseline;
    height: 25px;
    padding: 0px;
    margin: 0px;
}

.packages .package .price h1 {
    padding: 0px;
    margin: 0px;
    font-size: 24px;
}

.packages .package .price p {
    font-size: 12px;
    font-weight: 500;
    color: var(--text-muted);
    justify-self: left;
}

.packages .package .points {
    padding-top: 15px;
    margin: 0px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, 25px);
    column-gap: 5px;
    font-size: 13px;
}

.packages .package .points .point {
    display: flex;
}

.packages .package .points .point p {
    margin: 0px;
    padding: 5px;
}

.packages .package .buy {
    place-self: center;
    justify-items: center;
    font-weight: 600;
    border: 2px, solid, var(--bg-input);
    border-radius: 8px;
    width: 95%;
    background-color: var(--bg-main);
    font-family: 'Inter';
    margin: 5px;
    padding: 10px;
    cursor: pointer;
}

.packages #web-portal .buy {
    display: inline-block;
    cursor: default;
    background: linear-gradient(65deg, var(--secondary-color) 0%, var(--alt-secondary-color) 50%, var(--secondary-color) 100%);
    background-size: 200% auto;
    color: var(--bg-main);
    animation: sweep 5s linear infinite;
}

.packages #enterprise .buy {
    background-color: var(--bg-main);
    border-color: var(--border-accent);
    transition: background-color 0.3s ease, border 0.3s ease;
}

.packages #enterprise .buy:hover {
    background-color: var(--accent-glow);
}